package docsroute

import (
	"bitbucket.org/nemt/nemt-portal-api/infra/config"
	"github.com/labstack/echo"
)

const (
	rootRoute = "/"
	yamlRoute = "/yaml"
)

// Register registers the handlers for doc routes
func Register(r *echo.Group, cfg *config.Config) {
	r.Static(yamlRoute, cfg.App.Docs.YAMLPath)
	r.Static(rootRoute, cfg.App.Docs.SwaggerPath)
}
